<?php
// Version: 1.1; index

/*	This template is, perhaps, the most important template in the theme. It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below. It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.

	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
*/

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '1.1';

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = true;

	/* Use plain buttons - as oppossed to text buttons? */
	$settings['use_buttons'] = true;

	/* Show sticky and lock status seperate from topic icons? */
	$settings['seperate_sticky_lock'] = true;
}

// The main sub template above the content.
function template_main_above()

{

	global $context, $settings, $options, $scripturl, $txt, $modSettings, $boardurl;





	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

	<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>

	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />

	<meta name="description" content="', $context['page_title'], '" />

	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />

	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?rc2p"></script>

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		var smf_theme_url = "', $settings['theme_url'], '";

		var smf_images_url = "', $settings['images_url'], '";

		var smf_scripturl = "', $scripturl, '";

	// ]]></script>

	<title>', $context['page_title'], '</title>';





	echo '

	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?rc2" />

	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?rc2" media="print" />';





	if ($context['browser']['needs_size_fix'])

		echo '

	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';





	echo '

	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />

	<link rel="search" href="' . $scripturl . '?action=search" />

	<link rel="contents" href="', $scripturl, '" />';





	if (!empty($modSettings['xmlnews_enable']))

		echo '

	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';



	// If we're viewing a topic, these should be the previous and next topics, respectively.

	if (!empty($context['current_topic']))

		echo '

	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />

	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';



	// If we're in a board, or a topic for that matter, the index will be the board's index.

	if (!empty($context['current_board']))

		echo '

	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';





	// We'll have to use the cookie to remember the header...

	if ($context['user']['is_guest'])

		$options['collapse_header'] = !empty($_COOKIE['upshrink']);



	// Output any remaining HTML headers. (from mods, maybe?)

	echo $context['html_headers'], '

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';



		function shrinkHeader(mode)

		{';



	// Guests don't have theme options!!

	if ($context['user']['is_guest'])

		echo '

			document.cookie = "upshrink=" + (mode ? 1 : 0);';

	else

		echo '

			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';



	echo '

			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");



			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";



			current_header = mode;

		}

	// ]]></script>';



	// the routine for the info center upshrink

	echo '

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', ';



			function shrinkHeaderIC(mode)

			{';



	if ($context['user']['is_guest'])

		echo '

				document.cookie = "upshrinkIC=" + (mode ? 1 : 0);';

	else

		echo '

				smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");';



	echo '

				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");



				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";



				current_header_ic = mode;

			}

		// ]]></script>';



	echo '

</head>

<body>

   <div id="wrapper">

      <div id="header">

		

	    <div id="header3">

     

            



<ul id="accountActions">';

	if ($context['allow_admin'])

echo '	    <li class="first">



	<a href="', $scripturl, '?action=admin">' , $txt[2] , '</a></li>';

	if ($context['allow_edit_profile'])

echo '	<li><a href="', $scripturl, '?action=profile">' , $txt[79] , '</a></li>';

	if ($context['user']['is_logged'])

echo '	<li><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></li>';

	if ($context['user']['is_guest'])

echo '	<li><a href="', $scripturl, '?action=register">' , $txt[97] , '</a></li>

		<li><a href="', $scripturl, '?action=login">' , $txt[34] , '</a></li>

		<li><a href="', $scripturl, '?action=reminder">' , $txt[315] , '</a></li>';

echo '  </ul>



			<ul id="primaryNav">



		<li><a href="', $scripturl, '"><span class="left"></span>' , $txt[103] , '<span class="right"></span></a></li>

		<li><a href="', $scripturl, '?action=help"><span class="left"></span>' , $txt[119] , '<span class="right"></span></a></li>

		<li><a href="', $scripturl, '?action=search"><span class="left"></span>' , $txt[182] , '<span class="right"></span></a></li>';

	if ($context['allow_calendar'])

echo '  <li><a href="', $scripturl, '?action=calendar"><span class="left"></span>', $txt['calendar24'] ,'<span class="right"></span></a></li>';

	if ($context['allow_memberlist'])

echo '	<li><a href="', $scripturl, '?action=mlist"><span class="left"></span>' , $txt[331] , '<span class="right"></span></a></li>';

	if ($context['user']['is_logged'] && $context['allow_pm'])

echo ' 	<li><a href="', $scripturl, '?action=pm"><span class="left"></span>' , $txt['pm_short'] , ' ', $context['user']['unread_messages'] > 0 ? '[<strong>'. $context['user']['unread_messages'] . '</strong>]' : '' , '<span class="right"></span></a></li>';

echo '

</ul>

		</div>



<div id="logo"><a href="'.$scripturl.'" title=""></a></div>

<div id="Lorenzsol">';

	if ($context['user']['is_logged'])

echo '

<a href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a> <br />

<a href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'], '</a>';

echo '<br /><b> ', $context['random_news_line'] , '</b></div>



				</div>';





	echo '<div id="mainarea">';

}



function template_main_below()

{

	global $context, $settings, $options, $scripturl, $txt, $user_info;



        echo '

      </div>

	<div id="footer">

	<table cellspacing="0" cellpadding="3" border="0" align="center" width="100%">
			<tr>
				<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'right' : 'left', '">
					<a href="http://www.mysql.com/" target="_blank"><img id="powered-mysql" src="', $settings['images_url'], '/powered-mysql.gif" alt="', $txt['powered_by_mysql'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>
					<a href="http://www.php.net/" target="_blank"><img id="powered-php" src="', $settings['images_url'], '/powered-php.gif" alt="', $txt['powered_by_php'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>
				</td>
				<td valign="middle" align="center" style="white-space: nowrap;">
					', theme_copyright(), ' <br /> Darkness Theme by <a href="http://www.genclup.net">Lorenz</a>
				</td>
				<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'left' : 'right', '">
					<a href="http://validator.w3.org/check/referer" target="_blank"><img id="valid-xhtml10" src="', $settings['images_url'], '/valid-xhtml10.gif" alt="', $txt['valid_xhtml'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>
					<a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank"><img id="valid-css" src="', $settings['images_url'], '/valid-css.gif" alt="', $txt['valid_css'], '" width="54" height="20" style="margin: 5px 16px;" onmouseover="smfFooterHighlight(this, true);" onmouseout="smfFooterHighlight(this, false);" /></a>
				</td>
			</tr>
		</table>';


		// Show the load time?

	if ($context['show_load_time'])

		echo '<br />'. $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'];



	echo '

	</div>

   </div>

</body></html>';

}



// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..

function theme_linktree()

{

	global $context, $settings, $options;



	echo '<div class="nav" style="font-size: smaller; margin-bottom: 2ex; margin-top: 2ex;">';



	// Each tree item has a URL and name. Some may have extra_before and extra_after.

	foreach ($context['linktree'] as $link_num => $tree)

	{

		// Show something before the link?

		if (isset($tree['extra_before']))

			echo $tree['extra_before'];



		// Show the link, including a URL if it should have one.

		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';



		// Show something after the link...?

		if (isset($tree['extra_after']))

			echo $tree['extra_after'];



		// Don't show a separator for the last one.

		if ($link_num != count($context['linktree']) - 1)

			echo '&nbsp;>&nbsp;';

	}



	echo '</div>';

}

?>